BindPhoneNumberToApplication

View as Markdown

Bind the phone number to the application or unbind the phone number from the application. You should specify the application_id or application_name if you specify the rule_name.

Allowed roles: Owner, Admin, Developer.

Example request: Bind the phone 1 to the application 1.

Authentication

AuthorizationBearer
Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

Query parameters

phone_idlist of integersOptional

The phone ID list separated by semicolons (;). Use the ‘all’ value to select all phone ids. Required unless phone_number is provided.

phone_numberlist of stringsOptional

The phone number list separated by semicolons (;). Required unless phone_id is provided.

application_idintegerOptional

The application ID. Required unless application_name is provided.

application_namestringOptional

The application name. Required unless application_id is provided.

rule_idintegerOptional
The rule ID
rule_namestringOptional

The rule name that can be used instead of rule_id

bindbooleanOptionalDefaults to true

Whether to bind or unbind (set true or false respectively)

Response

Successful response
resultinteger
Returns 1 if the request has been completed successfully